Skip to main content
`Ctrl`+`K`

# TaoLineSearchGetNumberFunctionEvaluations

Gets the number of function and gradient evaluation routines used by the line search in last application (not cumulative).

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetNumberFunctionEvaluations(TaoLineSearch ls, PetscInt *nfeval, PetscInt *ngeval, PetscInt *nfgeval)

Not Collective

## Input Parameter

- ls - the `TaoLineSearch` context

## Output Parameters

- nfeval - number of function evaluations

- ngeval - number of gradient evaluations

- nfgeval - number of function/gradient evaluations

## Note

If the line search is using the `Tao` objective and gradient routines directly (see `TaoLineSearchUseTaoRoutines()`), then the `Tao` is already counting the number of evaluations.

## See Also

`TaoLineSearch`

## Level

intermediate

## Location

src/tao/linesearch/interface/taolinesearch.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages